<div class="container"
    fxLayout="row"
    fxLayout.sm="column"
    fxLayout.xs="column"
    fxLayoutAlign.gt-md="space-around center"
    fxLayoutGap="10px" 
    fxLayoutGap.xs="0">
  <div fxFlex="40" *ngIf="dish">
    	<mat-card>
    		<mat-card-header>
    			<mat-card-title>
    				<h3>{{dish.name | uppercase}}</h3>
    			</mat-card-title>
    		</mat-card-header>
    		<img mat-card-image src={{dish.image}}>
    		<mat-card-content>
    			<p>{{dish.description}}</p>
    		</mat-card-content>
    		<mat-card-actions>
          <button mat-button [routerLink]="['/dishdetail', prev]">
            <span class="fa fa-chevron-left fa-lg"></span>
          </button>
    			<button mat-button (click)="goBack()">BACK</button>
    			<button mat-button>LIKE</button>
          <button mat-button>SHARE</button>
          <span class="flex-spacer"></span>
          <button mat-button [routerLink]="['/dishdetail', next]">
            <span class="fa fa-chevron-right fa-lg"></span>
          </button>
    		</mat-card-actions>
    	</mat-card>
  </div>

  <div fxFlex="40" *ngIf="dish">
		<h3>Comments</h3>
      <mat-list *ngFor="let com of dish.comments">
        <mat-list>
          {{ com.comment }}
        </mat-list>
        <mat-list>
          {{ com.rating }} Stars
        </mat-list>
        <mat-list>
          -- {{ com.author }} {{ com.date | date:'MMM d, y'}}
      </mat-list>
      
		</mat-list>
  </div>

</div>
  <div fxFlex [hidden]="dish">
    <mat-spinner></mat-spinner>
    <h4>Loading... Please wait</h4>
  </div>

